<!--Strana za registrovanje-->
<!DOCTYPE html>
<html> 
    <body>
        <div class="hero"> 
            
            <app-navigation></app-navigation>
            <div class="form-box">
                <div class="button-box">
                    <p class="p"> Change username</p> 
                </div>

                
                <form id="change" class="input-group" [formGroup]="changeForm" (ngSubmit)="change(changeForm.value)">
                    <input type="text" name="newUsername" class="input-field" formControlName="newUsername"  placeholder="new username" required #newUsername>
                    <p class="error-msg" *ngIf="!newUsername_">Username already exists</p>

                    <input type="password" name="password" class="input-field" formControlName="password" placeholder="password" required>
                    <p class="error-msg" *ngIf="!password_">Password is not valid</p>

                    <button type="submit" [disabled]="!changeForm.valid" class="submit-btn">Change</button>
                </form>

                
            </div>
            
        </div>
    </body>
</html>